Index: tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 1060)
+++ tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 1061)
@@ -69,7 +69,7 @@
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
@@ -136,7 +136,7 @@
 
 	/** The query. */
 	@Parameter(key=ReferencerPreferences.QUERY)
-	protected Query pQuery;
+	protected CQLQuery pQuery;
 
 	
 	
@@ -385,7 +385,7 @@
 	 *
 	 * @return the query
 	 */
-	public Query getQuery() {
+	public CQLQuery getQuery() {
 		return pQuery;
 	}
 
@@ -480,7 +480,7 @@
 		return true;
 	}
 
-	public void setParameters(Query query, Property prop, List<StructuralUnitProperty> pattern, Boolean hierarchicSort) {
+	public void setParameters(CQLQuery query, Property prop, List<StructuralUnitProperty> pattern, Boolean hierarchicSort) {
 		if (query != null) this.pQuery = query;
 		if (pattern != null) this.pPattern = pattern;
 		if (prop != null) this.pProperty = prop;
@@ -578,7 +578,7 @@
 	@Override
 	public boolean loadParameters() throws CqiClientException {
 		if(!this.getStringParameterValue(ReferencerPreferences.QUERY).isEmpty()) {
-			this.pQuery = new Query(this.getStringParameterValue(ReferencerPreferences.QUERY));
+			this.pQuery = new CQLQuery(this.getStringParameterValue(ReferencerPreferences.QUERY));
 		}
 		this.pPattern = StructuralUnitProperty.stringToProperties(this.getCorpus(), this.getStringParameterValue(ReferencerPreferences.PATTERN));
 		this.pProperty = this.getCorpus().getProperty(this.getStringParameterValue(ReferencerPreferences.UNIT_PROPERTY));
@@ -735,7 +735,7 @@
 		}
 	}
 
-	public void setQuery(Query query) {
+	public void setQuery(CQLQuery query) {
 		this.pQuery = query;
 	}
 
@@ -767,7 +767,7 @@
 
 			for (Line line : lines) {
 				String s = line.getPropValue();
-				s = Query.addBackSlash(s);
+				s = CQLQuery.addBackSlash(s);
 				query += s + "|"; //$NON-NLS-1$
 			}
 			query = query.substring(0, query.length() - 1);
Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/Allographs.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/Allographs.java	(revision 1060)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/Allographs.java	(revision 1061)
@@ -10,20 +10,20 @@
 import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 
 public class Allographs extends OriflammsFunction {
 
 	protected String sign, allograph;
-	Query query;
+	CQLQuery query;
 	private Property sign_property;
 	private Property allograph_auto_property;
 	private Property allograph_expert_property;
 
 	Pattern signRegExp, characterRegExp;
 	
-	public Allographs(Corpus corpus, File tsvFile, String sign, Query query, String allograph) throws CqiClientException, IOException, CqiServerError {
+	public Allographs(Corpus corpus, File tsvFile, String sign, CQLQuery query, String allograph) throws CqiClientException, IOException, CqiServerError {
 		super(corpus, tsvFile);
 		
 		this.query = query;
Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/OriflammsFunction.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/OriflammsFunction.java	(revision 1060)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/functions/OriflammsFunction.java	(revision 1061)
@@ -22,7 +22,7 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.stat.utils.ConsoleProgressBar;
 
@@ -103,13 +103,13 @@
 		int end = last_match.getEnd();
 
 		
-		QueryResult r = corpus.query(new Query("[pbstart=\"0\"]"), "ABBRORI1", false);
+		QueryResult r = corpus.query(new CQLQuery("[pbstart=\"0\"]"), "ABBRORI1", false);
 		int[] pb_pos = r.getStarts();
 		r.drop();
-		r = corpus.query(new Query("[cbstart=\"0\"]"), "ABBRORI2", false);
+		r = corpus.query(new CQLQuery("[cbstart=\"0\"]"), "ABBRORI2", false);
 		int[] cb_pos = r.getStarts();
 		r.drop();
-		r = corpus.query(new Query("[lbstart=\"0\"]"), "ABBRORI3", false);
+		r = corpus.query(new CQLQuery("[lbstart=\"0\"]"), "ABBRORI3", false);
 		int[] lb_pos = r.getStarts();
 		r.drop();
 
Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeCorpusImagePath.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeCorpusImagePath.java	(revision 1060)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeCorpusImagePath.java	(revision 1061)
@@ -16,7 +16,7 @@
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 
 /**
Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeAllographs.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeAllographs.java	(revision 1060)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeAllographs.java	(revision 1061)
@@ -14,7 +14,7 @@
 import org.txm.rcp.swt.widget.parameters.ParametersDialog;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 
 /**
@@ -28,7 +28,7 @@
 	File tsvFile;
 
 	@Option(name="query",usage="The query", widget="Query", required=true, def="<s>[]")
-	Query query;
+	CQLQuery query;
 
 	@Option(name="sign",usage="The sign", widget="String", required=false, def="amaj")
 	String sign;
@@ -66,7 +66,7 @@
 		return null;
 	}
 	
-	public boolean compute(Corpus corpus, File tsvFile, String sign, String allograph, Query query) throws Exception {
+	public boolean compute(Corpus corpus, File tsvFile, String sign, String allograph, CQLQuery query) throws Exception {
 		Allographs a = new Allographs(corpus, tsvFile, sign , query, allograph);
 		return a.process();
 	}
Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 1060)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 1061)
@@ -64,7 +64,7 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.specificities.core.statsengine.r.function.SpecificitiesR;
 import org.txm.statsengine.core.StatException;
@@ -89,7 +89,7 @@
 	private HashMap<Integer, String> allsignaturesstr;
 
 	/** The anticontextquery. */
-	private Query anticontextquery;
+	private CQLQuery anticontextquery;
 
 	private boolean buildLexicalTableWithCooccurrents;
 
@@ -100,7 +100,7 @@
 	Concordance concordance;
 
 	/** The contextquery. */
-	private Query contextQuery;
+	private CQLQuery contextQuery;
 
 	/** The count. */
 	HashMap<String, Integer> count;
@@ -216,7 +216,7 @@
 	
 	/** The keyword query. */
 	@Parameter(key=CooccurrencePreferences.QUERY)
-	protected Query pQuery;
+	protected CQLQuery pQuery;
 	
 	/** The minscore. */
 	@Parameter(key=CooccurrencePreferences.MIN_SCORE)
@@ -635,7 +635,7 @@
 	 *
 	 * @return the query
 	 */
-	public Query getQuery() {
+	public CQLQuery getQuery() {
 		return pQuery;
 	}
 
@@ -789,7 +789,7 @@
 		this.pMinRightContextSize = minright;
 	}
 
-	public void setParameters(Query query, List<WordProperty> properties, StructuralUnit limit, int maxLeft, int minLeft, int minRight,
+	public void setParameters(CQLQuery query, List<WordProperty> properties, StructuralUnit limit, int maxLeft, int minLeft, int minRight,
 			int maxRight, int minFreq, double minScore, int minCof, boolean includeXpivot, boolean buildLexicalTableWithCooccurrents) {
 
 		this.pQuery = query;
@@ -819,7 +819,7 @@
 			if(parameters.get(CooccurrencePreferences.QUERY) != null)	{
 				queryString = parameters.get(CooccurrencePreferences.QUERY).toString();
 			}
-			Query query = new Query(queryString);
+			CQLQuery query = new CQLQuery(queryString);
 			
 			StructuralUnit limit = (StructuralUnit) parameters.get(CooccurrencePreferences.STRUCTURAL_UNIT_LIMIT);
 
@@ -910,7 +910,7 @@
 			Index rezvoc = (Index) rez;
 
 			if (rezvoc.getProperties().equals(pProperties)) {
-				if (rezvoc.getQuery().equals(new Query(""+pCooccurentQueryFilter+""))) { //$NON-NLS-1$ //$NON-NLS-2$
+				if (rezvoc.getQuery().equals(new CQLQuery(""+pCooccurentQueryFilter+""))) { //$NON-NLS-1$ //$NON-NLS-2$
 					if (rezvoc.getFilterFmax() == null) {
 						index = rezvoc;
 						break;
@@ -922,7 +922,7 @@
 		if (index == null) {
 			try {
 				index = new Index(corpus);
-				index.setParameters(new Query(pCooccurentQueryFilter), pProperties, null, null, null, null);
+				index.setParameters(new CQLQuery(pCooccurentQueryFilter), pProperties, null, null, null, null);
 				if (!index.compute(monitor)) {
 					Log.severe("Cooccurrence internal Index compute failed. Aborting.");
 					return false;
@@ -1305,7 +1305,7 @@
 			if (pMinRightContextSize > 0) {
 				tempquery+="(<" + lname + ">[]* </" + lname + ">){" + (pMaxRightContextSize) + "," + (pMaxRightContextSize) + "}";  //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 			}
-			this.contextQuery = new Query(tempquery);
+			this.contextQuery = new CQLQuery(tempquery);
 
 			if (pIncludeXpivot) {
 				String anticontextquerystring = ""; //$NON-NLS-1$
@@ -1318,7 +1318,7 @@
 				if (pMinRightContextSize > 1) {
 					anticontextquerystring += " []* </" + lname + "> (<" + lname + ">[]* </" + lname + ">){" + (pMinRightContextSize - 1) + "," + (pMinRightContextSize - 1) + "}"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
 				}
-				this.anticontextquery = new Query(anticontextquerystring);
+				this.anticontextquery = new CQLQuery(anticontextquerystring);
 			}
 			else {
 				String anticontextquerystring = ""; //$NON-NLS-1$
@@ -1331,7 +1331,7 @@
 				if (pMinRightContextSize > 0) {
 					anticontextquerystring += " []* </" + lname + "> (<" + lname + ">[]* </" + lname + ">){" + (pMinRightContextSize - 1) + "," + (pMinRightContextSize - 1) + "}"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
 				}
-				this.anticontextquery = new Query(anticontextquerystring);
+				this.anticontextquery = new CQLQuery(anticontextquerystring);
 			}
 		} else { // word context
 
@@ -1344,7 +1344,7 @@
 			if (pMinRightContextSize > 0) { // test if there is a right context
 				tempquery+=" []{" + pMaxRightContextSize + "," + pMaxRightContextSize + "} "; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			}
-			this.contextQuery = new Query(tempquery); 
+			this.contextQuery = new CQLQuery(tempquery); 
 			String anticontextquerystring = ""; //$NON-NLS-1$
 			if (pMinLeftContextSize > 1) {
 				anticontextquerystring += "[]{" + (pMinLeftContextSize - 1) + ", " + (pMinLeftContextSize - 1) + "}"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
@@ -1353,7 +1353,7 @@
 			if (pMinRightContextSize > 1) {
 				anticontextquerystring += "[]{" + (pMinRightContextSize -1) + "," + (pMinRightContextSize -1)+ "} "; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			}
-			this.anticontextquery = new Query(anticontextquerystring);
+			this.anticontextquery = new CQLQuery(anticontextquerystring);
 		}
 		return true;
 	}
@@ -1423,7 +1423,7 @@
 	@Override
 	public boolean loadParameters() throws CqiClientException {
 		pProperties = (List<WordProperty>) Property.stringToProperties(getCorpus(), this.getStringParameterValue(CooccurrencePreferences.UNIT_PROPERTIES));
-		pQuery = new Query(this.getStringParameterValue(CooccurrencePreferences.QUERY));
+		pQuery = new CQLQuery(this.getStringParameterValue(CooccurrencePreferences.QUERY));
 		pStructuralUnitLimit = this.getCorpus().getStructuralUnit(this.getStringParameterValue(CooccurrencePreferences.STRUCTURAL_UNIT_LIMIT));
 		return true;
 	}
@@ -1447,7 +1447,7 @@
 	 * Sets the query.
 	 * @param query
 	 */
-	public void setQuery(Query query) {
+	public void setQuery(CQLQuery query) {
 		this.pQuery = query;
 	}
 	
@@ -1473,7 +1473,7 @@
 			for (int l = 0; l < lines.size(); l++) {
 				CLine line = lines.get(l);
 				String s = line.props.get(p);
-				s = Query.addBackSlash(s);
+				s = CQLQuery.addBackSlash(s);
 				query += s + "|"; //$NON-NLS-1$
 			}
 			query = query.substring(0, query.length() - 1);
Index: tmp/org.txm.para.rcp/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.para.rcp/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ tmp/org.txm.para.rcp/.settings/org.eclipse.core.resources.prefs	(revision 1061)
@@ -0,0 +1,3 @@
+eclipse.preferences.version=1
+encoding//src/org/txm/para/rcp/messages/messages.properties=UTF-8
+encoding//src/org/txm/para/rcp/messages/messages_fr.properties=UTF-8

Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 1060)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 1061)
@@ -70,7 +70,7 @@
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.WordProperty;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.statsengine.r.rcp.views.RVariablesView;
 import org.txm.utils.logger.Log;
 
@@ -623,7 +623,7 @@
 		this.queryWidget.setText(query);
 	}
 
-	public Query getQuery() {
+	public CQLQuery getQuery() {
 		return queryWidget.getQuery();
 	}
 }
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java	(revision 1060)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java	(revision 1061)
@@ -11,7 +11,7 @@
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 
 /**
@@ -41,7 +41,7 @@
 			index = new Index(corpus);
 			index.setLexiconMode(true);
 			try {
-				index.setQuery(new Query("[]")); //$NON-NLS-1$
+				index.setQuery(new CQLQuery("[]")); //$NON-NLS-1$
 				index.setProperties(Arrays.asList(corpus.getWordProperty()));
 				index.setVisible(false);
 			} catch (CqiClientException e) {
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java	(revision 1060)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java	(revision 1061)
@@ -37,7 +37,7 @@
 import org.txm.links.rcp.handlers.SendSelectionToQueryable;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.searchengine.cqp.corpus.Corpus;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 /**
  * Sends the selected lines of an index or lexicon to compute another command.
@@ -61,7 +61,7 @@
 	public String createQueries(ExecutionEvent event, ISelection selection) {
 		if (selection instanceof StructuredSelection) {
 			StructuredSelection sselection = (StructuredSelection)selection;
-			return Query.queriesToString(Index.createQueries(sselection.toList()));
+			return CQLQuery.queriesToString(Index.createQueries(sselection.toList()));
 		}
 		return null;
 	}
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 1060)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 1061)
@@ -43,7 +43,7 @@
 import org.txm.rcp.swt.widget.structures.StructuralUnitPropertiesComboViewer;
 import org.txm.rcp.swt.widget.structures.StructuralUnitsComboViewer;
 import org.txm.rcp.swt.widget.structures.StructuralUnitsCombosGroup;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.io.IOUtils;
 import org.txm.utils.logger.Log;
 
@@ -95,7 +95,7 @@
 	 * Queries.
 	 */
 	@Parameter(key=ProgressionPreferences.QUERIES)
-	protected List<Query> queryList;
+	protected List<CQLQuery> queryList;
 
 	/**
 	 * Structural unit.
@@ -520,7 +520,7 @@
 			assistedQueryWidget.setText(query);
 		}
 
-		public Query getQuery() {
+		public CQLQuery getQuery() {
 			return assistedQueryWidget.getQuery();
 		}
 
@@ -599,7 +599,7 @@
 
 		 // initialize query fields
 		if (queryWidgets.size() == 0 && queryList != null) {
-			for (Query q : queryList) {
+			for (CQLQuery q : queryList) {
 				addFocusQueryField(q.getQueryString()); 
 			}
 		}
@@ -614,7 +614,7 @@
 	public void updateResultFromEditor() {
 
 		// create query list from widget
-		queryList = new ArrayList<Query>();
+		queryList = new ArrayList<CQLQuery>();
 		for (QueryField wid : queryWidgets) {
 			if (!wid.getQuery().isEmpty()) {
 				queryList.add(wid.getQuery());
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/StructuralUnitProperty.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/StructuralUnitProperty.java	(revision 1060)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/StructuralUnitProperty.java	(revision 1061)
@@ -36,7 +36,7 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.logger.Log;
 
 /**
@@ -193,7 +193,7 @@
 	 */
 	public Integer getNumberOfValues(Corpus corpus) {
 		try {
-			QueryResult tmp = corpus.query(new Query("<" + this.getFullName() + ">[]"), UUID.randomUUID().toString(), false); //$NON-NLS-1$ //$NON-NLS-2$
+			QueryResult tmp = corpus.query(new CQLQuery("<" + this.getFullName() + ">[]"), UUID.randomUUID().toString(), false); //$NON-NLS-1$ //$NON-NLS-2$
 			int ret = tmp.getNMatch();
 			tmp.drop();
 			return ret;
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 1060)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 1061)
@@ -48,7 +48,7 @@
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.utils.DeleteDir;
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 1060)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 1061)
@@ -47,7 +47,7 @@
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.utils.DeleteDir;
 
@@ -505,7 +505,7 @@
 					+ UUID.randomUUID().toString();
 			CorpusManager.getCorpusManager().getCqiClient().cqpQuery(
 					this.getQualifiedCqpId(), queryResultId, "<text>[] expand to text"); //$NON-NLS-1$
-			QueryResult queryResult = new QueryResult(queryResultId, queryResultId, this,	new Query("<text>[] expand to text")); //$NON-NLS-1$
+			QueryResult queryResult = new QueryResult(queryResultId, queryResultId, this,	new CQLQuery("<text>[] expand to text")); //$NON-NLS-1$
 			textEndLimits = queryResult.getEnds();
 		}
 		return textEndLimits;
@@ -530,7 +530,7 @@
 		String queryResultId = queryResultNamePrefix + UUID.randomUUID().toString();
 		CorpusManager.getCorpusManager().getCqiClient().cqpQuery(
 				this.getQualifiedCqpId(), queryResultId, cql_limit); //$NON-NLS-1$
-		QueryResult queryResult = new QueryResult(queryResultId, queryResultId, this,	new Query(cql_limit));
+		QueryResult queryResult = new QueryResult(queryResultId, queryResultId, this,	new CQLQuery(cql_limit));
 		
 		int[] rez =  queryResult.getStarts();
 		queryResult.drop();
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Alignement.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Alignement.java	(revision 1060)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Alignement.java	(revision 1061)
@@ -11,7 +11,7 @@
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 
 public class Alignement {
@@ -62,7 +62,7 @@
 
 		if (struct.equals("w"))
 		{
-			QueryResult rez = src.query(new Query("[_.text_id=\""+textid+"\" & id=\""+wordid+"\"]"), "Align", false);
+			QueryResult rez = src.query(new CQLQuery("[_.text_id=\""+textid+"\" & id=\""+wordid+"\"]"), "Align", false);
 			int[] position = {rez.getMatch(0).getStart()};
 			int[] struct_align_pos = CQPSearchEngine.getCqiClient().cpos2Struc(align_src.getQualifiedName(), position);
 			String[] struct_align_str = CQPSearchEngine.getCqiClient().struc2Str(align_src.getQualifiedName(), struct_align_pos);
@@ -70,7 +70,7 @@
 			{
 				String aligned_struct = struct_align_str[0]; // the struct align value
 				// get the position of the first token of this struct
-				QueryResult rez2 = dest.query(new Query("<"+struct+"_align=\""+aligned_struct+"\">[]"), "Align", false);
+				QueryResult rez2 = dest.query(new CQLQuery("<"+struct+"_align=\""+aligned_struct+"\">[]"), "Align", false);
 				int[] position2 = {rez2.getMatch(0).getStart()};
 				// get the id of this position
 				int[] struct_text_pos = CQPSearchEngine.getCqiClient().cpos2Struc(text_dest.getQualifiedName(), position2);
@@ -87,7 +87,7 @@
 			//get the position for the word id and the text
 			String query = "[_.text_id=\""+textid+"\" & id=\""+wordid+"\"]";
 			//System.out.println("query: "+query);
-			QueryResult rez = src.query(new Query(query), "Align", false);
+			QueryResult rez = src.query(new CQLQuery(query), "Align", false);
 			//System.out.println(rez.getMatches());
 			int[] position = {rez.getMatch(0).getStart()};
 			//get the struct@align value for this position
@@ -98,7 +98,7 @@
 				String aligned_struct = struct_align_str[0]; // the struct align value
 				// get the position of the first token of this struct
 				query = "<"+struct+"_align=\""+aligned_struct+"\">[]";
-				QueryResult rez2 = dest.query(new Query(query), "Align", false);
+				QueryResult rez2 = dest.query(new CQLQuery(query), "Align", false);
 				int[] position2 = {rez2.getMatch(0).getStart()};
 				// get the id of this position
 				String[] ids = CQPSearchEngine.getCqiClient().cpos2Str(id_dest.getQualifiedName(), position2);
@@ -161,7 +161,7 @@
 		Corpus dest = CorpusManager.getCorpusManager().getCorpus(to);
 		String query = "<"+struct+"_align=\""+seg_id+"\">[]";
 		//System.out.println("query: "+query);
-		QueryResult rez = dest.query(new Query(query), "Align", false);
+		QueryResult rez = dest.query(new CQLQuery(query), "Align", false);
 		//System.out.println("rez: "+rez.getMatches());
 		int[] position = {rez.getMatch(0).getStart()};
 
